summaryrefslogtreecommitdiffstats
path: root/initramfs/stage3-stuff/bin/servconfig
diff options
context:
space:
mode:
authorDirk von Suchodoletz2008-12-22 23:58:34 +0100
committerDirk von Suchodoletz2008-12-22 23:58:34 +0100
commit42d07e2d3b05c52b5a444ba1e41e9b4e426eb4ca (patch)
tree396bf8bd70281bd2324f89c0f59f02e22b4cc5c1 /initramfs/stage3-stuff/bin/servconfig
parentA fix to the packet install mechanism in the x11vnc plugin. Added some (diff)
downloadcore-42d07e2d3b05c52b5a444ba1e41e9b4e426eb4ca.tar.gz
core-42d07e2d3b05c52b5a444ba1e41e9b4e426eb4ca.tar.xz
core-42d07e2d3b05c52b5a444ba1e41e9b4e426eb4ca.zip
The rdate applet uses a time server which does not need to be
the same as the configured ntp server (time is a TCP/37 service often offered as built-in (x)initd functionality). git-svn-id: http://svn.openslx.org/svn/openslx/openslx/trunk@2452 95ad53e4-c205-0410-b2fa-d234c58c8868
Diffstat (limited to 'initramfs/stage3-stuff/bin/servconfig')
-rwxr-xr-xinitramfs/stage3-stuff/bin/servconfig6
1 files changed, 4 insertions, 2 deletions
diff --git a/initramfs/stage3-stuff/bin/servconfig b/initramfs/stage3-stuff/bin/servconfig
index 7a10a8b5..1c4b43cf 100755
--- a/initramfs/stage3-stuff/bin/servconfig
+++ b/initramfs/stage3-stuff/bin/servconfig
@@ -214,8 +214,10 @@ config_bt
# network(ed) services
if [ -n "$ntp_servers" ]; then
- rdate -s "$ntp_servers"
- hwclock -w
+ # rdate uses the time protocol (port 37 which is not the ntp standard port)
+ # thus not every standard ntp-server might offer this service)
+ ( rdate -s "$ntp_servers" 2>/dev/null || error "$scfg_rdate" nonfatal
+ hwclock -w ) &
fi
# network time service (ntp) configuration file